#include <stdio.h>
#include <stdlib.h>				// malloc(), free()
#ifdef __APPLE__
#  include <GLUT/glut.h>
#else
#  include <GL/glut.h>
#endif
#include <AR/gsub_lite.h>		//enables ARtoolkit in combination with opengl renderer
#include <GL/glui.h>			//glui support

typedef struct
{
	GLfloat x;
	GLfloat y;
	GLfloat z;
}Point;

typedef struct
{
	Point lb;
	Point rb;
	Point rt;
	Point lt;
}Square;

GLuint LoadTextureRAW( const char * filename, int wrap );
void FreeTexture( GLuint texture );
Point getNormalVector(Point p, Point q, Point r);
Point mapTexture(Point p);
void printSquare(Point p, Point q, Point r, Point s);
Square makeSquare(int startx, int starty, float data[6][13], int scalex, int scaley, int scalez);
Square makeSquare2(int startx, int starty, float data[2][2], int scalex, int scaley, int scalez);
void drawSquare(Square tempo);
void drawDiamond(Square tempo);
void drawMask(const char * file);
void drawMaskHead(const char * file);
void drawMaskJaw(const char * file);
void drawEyeBrows(float EBangle, float EBscale);
void vmDrawHelpAxis(void);
void vmDrawFace(int type);
